package com.example.aliossjava;

import org.springframework.http.HttpRequest;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;
import com.alibaba.fastjson.JSONObject;


@RestController
public class uploadossapi {

    /*
    * @RequestMapping 路由映射的注解
    * */
    @RequestMapping(value = "/uploadfile",method = RequestMethod.POST)
    public boolean myGetList(@RequestBody @Valid String a){
        try {
            System.out.println(a);
            JSONObject jsonObject = JSONObject.parseObject(a);
            String ossurl=jsonObject.getString("ossurl");
            String objectName=jsonObject.getString("objectName");
            String encodePolicy=jsonObject.getString("encodePolicy");
            String signature=jsonObject.getString("signature");
            String endpoint=jsonObject.getString("endpoint");
            String accessKeyId=jsonObject.getString("accessKeyId");
            String bucketName=jsonObject.getString("bucketName");
            utilupload utilupload=new utilupload();
            utilupload.doUpload(ossurl,endpoint,accessKeyId,bucketName,objectName,encodePolicy,signature);
            return true;
        } catch (Exception e) {
            return false;
        }
    }

    /*
   * @RequestMapping 路由映射的注解
   * */
    @RequestMapping(value = "/hello",method = RequestMethod.GET)
    public void helloworlds(){
        try {
            System.out.println("fdfd");
        } catch (Exception e) {
        }
    }
}
